import 'package:flutter/foundation.dart';
import 'package:flutter/material.dart';
import 'package:flutter_tailwindcss/core/default/default.dart';
import 'package:flutter_tailwindcss/flutter_tailwindcss.dart';

extension TwFontColor on TwFont {
  /// The slate primary color and swatch.
  ///
  /// ![](https://gitee.com/meetqy/flutter_tailwindcss/raw/main/images/colors/Slate.png);
  ///
  TwMaterialColor get slate =>
      TwMaterialColor(TwConfig.colors.slate[500]!, TwConfig.colors.slate);

  /// The slate primary color and swatch.
  ///
  /// ![](https://gitee.com/meetqy/flutter_tailwindcss/raw/main/images/colors/Gray.png);
  ///
  TwMaterialColor get gray =>
      TwMaterialColor(TwConfig.colors.gray[500]!, TwConfig.colors.gray);

  /// The slate primary color and swatch.
  ///
  /// ![](https://gitee.com/meetqy/flutter_tailwindcss/raw/main/images/colors/Zinc.png);
  ///
  TwMaterialColor get zinc =>
      TwMaterialColor(TwConfig.colors.zinc[500]!, TwConfig.colors.zinc);

  /// The slate primary color and swatch.
  ///
  /// ![](https://gitee.com/meetqy/flutter_tailwindcss/raw/main/images/colors/Neutral.png);
  ///
  TwMaterialColor get neutral =>
      TwMaterialColor(TwConfig.colors.neutral[500]!, TwConfig.colors.neutral);

  /// The slate primary color and swatch.
  ///
  /// ![](https://gitee.com/meetqy/flutter_tailwindcss/raw/main/images/colors/Stone.png);
  ///
  TwMaterialColor get stone =>
      TwMaterialColor(TwConfig.colors.stone[500]!, TwConfig.colors.stone);

  /// The slate primary color and swatch.
  ///
  /// ![](https://gitee.com/meetqy/flutter_tailwindcss/raw/main/images/colors/Red.png);
  ///
  TwMaterialColor get redTw =>
      TwMaterialColor(TwConfig.colors.redTw[500]!, TwConfig.colors.redTw);

  /// The slate primary color and swatch.
  ///
  /// ![](https://gitee.com/meetqy/flutter_tailwindcss/raw/main/images/colors/Orange.png);
  ///
  TwMaterialColor get orange =>
      TwMaterialColor(TwConfig.colors.orange[500]!, TwConfig.colors.orange);

  /// The slate primary color and swatch.
  ///
  /// ![](https://gitee.com/meetqy/flutter_tailwindcss/raw/main/images/colors/Amber.png);
  ///
  TwMaterialColor get amber =>
      TwMaterialColor(TwConfig.colors.amber[500]!, TwConfig.colors.amber);

  /// The slate primary color and swatch.
  ///
  /// ![](https://gitee.com/meetqy/flutter_tailwindcss/raw/main/images/colors/Yellow.png);
  ///
  TwMaterialColor get yellow =>
      TwMaterialColor(TwConfig.colors.yellow[500]!, TwConfig.colors.yellow);

  /// The slate primary color and swatch.
  ///
  /// ![](https://gitee.com/meetqy/flutter_tailwindcss/raw/main/images/colors/Lime.png);
  ///
  TwMaterialColor get lime =>
      TwMaterialColor(TwConfig.colors.lime[500]!, TwConfig.colors.lime);

  /// The slate primary color and swatch.
  ///
  /// ![](https://gitee.com/meetqy/flutter_tailwindcss/raw/main/images/colors/Green.png);
  ///
  TwMaterialColor get greenTw =>
      TwMaterialColor(TwConfig.colors.greenTw[500]!, TwConfig.colors.greenTw);

  /// The slate primary color and swatch.
  ///
  /// ![](https://gitee.com/meetqy/flutter_tailwindcss/raw/main/images/colors/Emerald.png);
  ///
  TwMaterialColor get emerald =>
      TwMaterialColor(TwConfig.colors.emerald[500]!, TwConfig.colors.emerald);

  /// The slate primary color and swatch.
  ///
  /// ![](https://gitee.com/meetqy/flutter_tailwindcss/raw/main/images/colors/Teal.png);
  ///
  TwMaterialColor get teal =>
      TwMaterialColor(TwConfig.colors.teal[500]!, TwConfig.colors.teal);

  /// The slate primary color and swatch.
  ///
  /// ![](https://gitee.com/meetqy/flutter_tailwindcss/raw/main/images/colors/Cyan.png);
  ///
  TwMaterialColor get cyan =>
      TwMaterialColor(TwConfig.colors.cyan[500]!, TwConfig.colors.cyan);

  /// The slate primary color and swatch.
  ///
  /// ![](https://gitee.com/meetqy/flutter_tailwindcss/raw/main/images/colors/Sky.png);
  ///
  TwMaterialColor get sky =>
      TwMaterialColor(TwConfig.colors.sky[500]!, TwConfig.colors.sky);

  /// The slate primary color and swatch.
  ///
  /// ![](https://gitee.com/meetqy/flutter_tailwindcss/raw/main/images/colors/Blue.png);
  ///
  TwMaterialColor get blueTw =>
      TwMaterialColor(TwConfig.colors.blueTw[500]!, TwConfig.colors.blueTw);

  /// The slate primary color and swatch.
  ///
  /// ![](https://gitee.com/meetqy/flutter_tailwindcss/raw/main/images/colors/Indigo.png);
  ///
  TwMaterialColor get indigo =>
      TwMaterialColor(TwConfig.colors.indigo[500]!, TwConfig.colors.indigo);

  /// The slate primary color and swatch.
  ///
  /// ![](https://gitee.com/meetqy/flutter_tailwindcss/raw/main/images/colors/Violet.png);
  ///
  TwMaterialColor get violet =>
      TwMaterialColor(TwConfig.colors.violet[500]!, TwConfig.colors.violet);

  /// The slate primary color and swatch.
  ///
  /// ![](https://gitee.com/meetqy/flutter_tailwindcss/raw/main/images/colors/Purple.png);
  ///
  TwMaterialColor get purple =>
      TwMaterialColor(TwConfig.colors.purple[500]!, TwConfig.colors.purple);

  /// The slate primary color and swatch.
  ///
  /// ![](https://gitee.com/meetqy/flutter_tailwindcss/raw/main/images/colors/Fuchsia.png);
  ///
  TwMaterialColor get fuchsia =>
      TwMaterialColor(TwConfig.colors.fuchsia[500]!, TwConfig.colors.fuchsia);

  /// The slate primary color and swatch.
  ///
  /// ![](https://gitee.com/meetqy/flutter_tailwindcss/raw/main/images/colors/Pink.png);
  ///
  TwMaterialColor get pink =>
      TwMaterialColor(TwConfig.colors.pink[500]!, TwConfig.colors.pink);

  /// The slate primary color and swatch.
  ///
  /// ![](https://gitee.com/meetqy/flutter_tailwindcss/raw/main/images/colors/Rose.png);
  ///
  TwMaterialColor get rose =>
      TwMaterialColor(TwConfig.colors.rose[500]!, TwConfig.colors.rose);
}

// 实现 TwFont.color.slate 可直接使用
class TwColorSwatch<T> extends TextStyle {
  const TwColorSwatch(this._primary, this._swatch) : super(color: _primary);

  final Color _primary;

  TextStyle get value => TextStyle(color: _primary);

  @protected
  final Map<T, Color> _swatch;

  /// 重写 [] 操作符
  TextStyle? operator [](T index) => TextStyle(color: _swatch[index]);

  @override
  bool operator ==(Object other) {
    if (identical(this, other)) return true;
    if (other.runtimeType != runtimeType) return false;
    return super == other &&
        other is TwColorSwatch<T> &&
        mapEquals<T, Color>(other._swatch, _swatch);
  }

  @override
  int get hashCode => hashValues(runtimeType, value, _swatch);
}

class TwMaterialColor extends TwColorSwatch<int> {
  const TwMaterialColor(Color primary, Map<int, Color> _swatch)
      : super(primary, _swatch);

  /// The lightest shade.
  TextStyle get shade50 => this[50]!;

  /// The second lightest shade.
  TextStyle get shade100 => this[100]!;

  /// The third lightest shade.
  TextStyle get shade200 => this[200]!;

  /// The fourth lightest shade.
  TextStyle get shade300 => this[300]!;

  /// The fifth lightest shade.
  TextStyle get shade400 => this[400]!;

  /// The default shade.
  TextStyle get shade500 => this[500]!;

  /// The fourth darkest shade.
  TextStyle get shade600 => this[600]!;

  /// The third darkest shade.
  TextStyle get shade700 => this[700]!;

  /// The second darkest shade.
  TextStyle get shade800 => this[800]!;

  /// The darkest shade.
  TextStyle get shade900 => this[900]!;
}
